# Configurations
This folder contains the configuration files used in our [experiments](https://docs.qq.com/sheet/DRW5GVXhqem1QdWJY?tab=qp276f). You can adapt them to your experiment settings at will.

## All Datasets
The [all-datasets](./all-datasets) folder contains the configurations of **Event Detection (ED)** and **Event Argument Extraction (EAE)** experiments
on all datasets (MAVEN, LEVEN, ACE, RichERE, DuEE, FewFC, etc.) in all paradigms (Token Classification, Sequence 
Labeling, MRC, Seq2Seq). The PLMs we used in the experiments are `BERT-base` and `T5-base`/`mT5-base`. Check out the details [here](./all-datasets)



## All Models
The [all-models](./all-models) folder contains the configuration files of **Event Detection (ED)** and **Event Argument Extraction (EAE)** experiments
on `ACE-dygie` dataset using (CNN, LSTM, BERT, T5, etc) in all paradigms (Token Classification, Sequence 
Labeling, MRC, Seq2Seq). Check out the details [here](./all-models)